
Application: gvSIG desktop - gvSIG bugs #2089
Erroneous condition on PostgreSQLHelper.getFullEnvelopeOfField
11/06/2013 12:15 PM - Jose Manuel Vivó Arnal

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Database
Target version: 2.1.0-2217-devel
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2066 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Yes Hito:
Add-on name: Unknown
Description

PostgreSQLHelper.getFullEnvelopeOfField has an erroneous condition when source is based on a custom SQL sentence.

Patch attached.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 2091: JDBCStoreProvider ... Closed
Related to Application: gvSIG desktop - gvSIG bugs # 2100: direct-sql sources... Closed
Related to Application: gvSIG desktop - gvSIG bugs # 2090: No default geometr... Closed

History
#1 - 11/27/2013 09:20 AM - Juan Lucas Domínguez
- Status changed from New to Fixed
- Assignee set to Juan Lucas Domínguez
- Target version set to 2.1.0-2223-rc1

Fixed condition when source is based on a custom SQL sentence (patch provided by jmvivo).

gvsig-postgresql:r20

#2 - 01/13/2014 09:38 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2223-rc1 to 2.1.0-2217-devel

#3 - 01/28/2014 09:28 AM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
fixes_getFullEvelopeOfField_for_SQL_source.patch 666 Bytes 11/06/2013 Jose Manuel Vivó Arnal
